templates/maximo-main.template.yaml [160:279]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  BastionAMIOS:
    AllowedValues:
      - Amazon-Linux2-HVM
      - Amazon-Linux-HVM
      - CentOS-7-HVM
      - Ubuntu-Server-14.04-LTS-HVM
      - Ubuntu-Server-16.04-LTS-HVM
    Default: Amazon-Linux2-HVM
    Description: The Linux distribution for the Amazon Machine Image (AMI) to be used for the bastion instances.
    Type: String
  BastionInstanceType:
    AllowedValues:
      - t2.nano
      - t2.micro
      - t2.small
      - t2.medium
      - t2.large
      - t3.micro
      - t3.small
      - t3.medium
      - t3.large
      - t3.xlarge
      - t3.2xlarge
      - m4.large
      - m4.xlarge
      - m4.2xlarge
      - m4.4xlarge
    Default: t3.micro
    Description: Amazon EC2 instance type for the bastion instances.
    Type: String
  KeyPairName:
    Description: The name of an existing public/private key pair, which allows you
      to securely connect to your instance after it launches.
    Type: AWS::EC2::KeyPair::KeyName
  WASAdminUsername:
    Description: The user name of the WebSphere Application Server administrator. Must be between 8-41 alphanumeric characters.
    Default: wasadmin
    Type: String
    MinLength: '8'
    MaxLength: '41'
    AllowedPattern: '[a-zA-Z0-9]*'
    ConstraintDescription: Must contain only alphanumeric characters.
  WASAdminPassword:
    Description: The password of the WebSphere Application Server administrator. Must be between 8-41 alphanumeric characters.
    Type: String
    NoEcho: 'true'
    MinLength: '8'
    MaxLength: '41'
    AllowedPattern: '[a-zA-Z0-9]*'
    ConstraintDescription: Must contain only alphanumeric characters.
  WASInstanceType:
    AllowedValues:
      - t2.micro
      - t2.small
      - t2.medium
      - m3.large
      - m3.xlarge
      - m3.2xlarge
      - c4.large
      - c4.xlarge
      - c4.2xlarge
      - c4.4xlarge
      - c4.8xlarge
      - c3.large
      - c3.xlarge
      - c3.2xlarge
      - c3.4xlarge
      - c3.8xlarge
      - r3.large
      - r3.xlarge
      - m5.large
      - m5.xlarge
      - m5.2xlarge
      - m5.4xlarge
      - m5.8xlarge
      - m5.12xlarge
      - m5.16xlarge
      - m5.24xlarge
      - c5.large
      - c5.xlarge
      - c5.2xlarge
      - c5.4xlarge
      - c5.9xlarge
      - c5.12xlarge
      - c5.18xlarge
      - c5.24xlarge
    ConstraintDescription: Must contain valid instance type.
    Default: m5.xlarge
    Description: EC2 instance type for the WebSphere Application Server instances.
    Type: String
  WASNodesDesiredCapacity:
    Default: '2'
    Description: The desired capacity for the WebSphere Application Server nodes Auto Scaling group.
    Type: String
  WASNodesMaxSize:
    Default: '4'
    Description: The maximum size of the Auto Scaling group.
    Type: String
  WASNodesMinSize:
    Default: '2'
    Description: The minimum size of the Auto Scaling group.
    Type: String
  WebAccessCIDR:
    AllowedPattern: ^(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])(\/([0-9]|[1-2][0-9]|3[0-2]))$
    ConstraintDescription: CIDR block parameter must be in the form x.x.x.x/x.
    Description: The CIDR IP range that is permitted to access the IBM Maximo URL. Set this value to a trusted IP range.
    Type: String
  DeployModules:
    AllowedValues:
      - 'Core'
      - 'Energy-and-Utilities'
      - 'HSE'
      - 'Nuclear'
      - 'Scheduler'
      - 'Transportation'
    ConstraintDescription: Choose the IBM Maximo module to deploy.
    Default: 'Core'
    Description: Choose the IBM Maximo module to deploy. The respective binaries must be placed in the root key prefix as defined by MaximoFilesLocation.
      In addition, for HSE module to work, you must additionally upload the latest hotfix to s3://MaximoFilesLocation/HSE/latest_hotfix.zip.
    Type: String
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



templates/maximo.template.yaml [151:270]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  BastionAMIOS:
    AllowedValues:
      - Amazon-Linux2-HVM
      - Amazon-Linux-HVM
      - CentOS-7-HVM
      - Ubuntu-Server-14.04-LTS-HVM
      - Ubuntu-Server-16.04-LTS-HVM
    Default: Amazon-Linux2-HVM
    Description: The Linux distribution for the Amazon Machine Image (AMI) to be used for the bastion instances.
    Type: String
  BastionInstanceType:
    AllowedValues:
      - t2.nano
      - t2.micro
      - t2.small
      - t2.medium
      - t2.large
      - t3.micro
      - t3.small
      - t3.medium
      - t3.large
      - t3.xlarge
      - t3.2xlarge
      - m4.large
      - m4.xlarge
      - m4.2xlarge
      - m4.4xlarge
    Default: t3.micro
    Description: Amazon EC2 instance type for the bastion instances.
    Type: String
  KeyPairName:
    Description: The name of an existing public/private key pair, which allows you
      to securely connect to your instance after it launches.
    Type: AWS::EC2::KeyPair::KeyName
  WASAdminUsername:
    Description: The user name of the WebSphere Application Server administrator. Must be between 8-41 alphanumeric characters.
    Default: wasadmin
    Type: String
    MinLength: '8'
    MaxLength: '41'
    AllowedPattern: '[a-zA-Z0-9]*'
    ConstraintDescription: Must contain only alphanumeric characters.
  WASAdminPassword:
    Description: The password of the WebSphere Application Server administrator. Must be between 8-41 alphanumeric characters.
    Type: String
    NoEcho: 'true'
    MinLength: '8'
    MaxLength: '41'
    AllowedPattern: '[a-zA-Z0-9]*'
    ConstraintDescription: Must contain only alphanumeric characters.
  WASInstanceType:
    AllowedValues:
      - t2.micro
      - t2.small
      - t2.medium
      - m3.large
      - m3.xlarge
      - m3.2xlarge
      - c4.large
      - c4.xlarge
      - c4.2xlarge
      - c4.4xlarge
      - c4.8xlarge
      - c3.large
      - c3.xlarge
      - c3.2xlarge
      - c3.4xlarge
      - c3.8xlarge
      - r3.large
      - r3.xlarge
      - m5.large
      - m5.xlarge
      - m5.2xlarge
      - m5.4xlarge
      - m5.8xlarge
      - m5.12xlarge
      - m5.16xlarge
      - m5.24xlarge
      - c5.large
      - c5.xlarge
      - c5.2xlarge
      - c5.4xlarge
      - c5.9xlarge
      - c5.12xlarge
      - c5.18xlarge
      - c5.24xlarge
    ConstraintDescription: Must contain valid instance type.
    Default: m5.xlarge
    Description: EC2 instance type for the WebSphere Application Server instances.
    Type: String
  WASNodesDesiredCapacity:
    Default: '2'
    Description: The desired capacity for the WebSphere Application Server nodes Auto Scaling group.
    Type: String
  WASNodesMaxSize:
    Default: '4'
    Description: The maximum size of the Auto Scaling group.
    Type: String
  WASNodesMinSize:
    Default: '2'
    Description: The minimum size of the Auto Scaling group.
    Type: String
  WebAccessCIDR:
    AllowedPattern: ^(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])(\/([0-9]|[1-2][0-9]|3[0-2]))$
    ConstraintDescription: CIDR block parameter must be in the form x.x.x.x/x.
    Description: The CIDR IP range that is permitted to access the IBM Maximo URL. Set this value to a trusted IP range.
    Type: String
  DeployModules:
    AllowedValues:
      - 'Core'
      - 'Energy-and-Utilities'
      - 'HSE'
      - 'Nuclear'
      - 'Scheduler'
      - 'Transportation'
    ConstraintDescription: Choose the IBM Maximo module to deploy.
    Default: 'Core'
    Description: Choose the IBM Maximo module to deploy. The respective binaries must be placed in the root key prefix as defined by MaximoFilesLocation.
      In addition, for HSE module to work, you must additionally upload the latest hotfix to s3://MaximoFilesLocation/HSE/latest_hotfix.zip.
    Type: String
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



